Summary: An implementation of the lint program
Name: splint
Version: 3.0.1.6
Release: 3
Source: http://www.splint.org/downloads/%{name}-%{version}.src.tgz
URL: http://www.splint.org
Group: Development/Tools
Obsoletes: lclint
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
%define DEFCC cc

%description 
Splint is a tool for statically checking C programs for coding errors and
security vulnerabilities. With minimal effort, Splint can be used as a
better lint. If additional effort is invested adding annotations to programs,
Splint can perform even stronger checks than can be done by any standard lint.

%prep
%setup -q 

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi
export CFLAGS="$RPM_OPT_FLAGS"
%configure
# This doesn't show up right when not using gcc; this hack fixes the prob.
echo "#define GCC_INCLUDE_DIR \"/usr/include\"" >> src/Headers/cpplib.h
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

make DESTDIR=$RPM_BUILD_ROOT install

install -m 0644 doc/splint.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

( cd ${RPM_BUILD_ROOT}%{_bindir}
  mv *-splint splint || :
  # For backwards compatibility, keeping lclint available
  ln -sf splint lclint
)

(cd $RPM_BUILD_ROOT
 /usr/bin/strip $RPM_BUILD_ROOT%{_prefix}/bin/* || :
 mkdir -p usr/bin
 cd usr/bin
 ln -sf ../..%{_prefix}/bin/* .
)


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README 
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
/usr/bin/splint
/usr/bin/lclint


%changelog
* Sun Apr 20 2025 Sangamesh Mallayya <smallayy@in.ibm.com> - 3.0.1.6-3
- Rebuild for AIX 7.1 using RPMv4.

* Wed Feb 25 2004 David Clissold <cliss@austin.ibm.com> 3.0.1.6-2
- Update to build with IBM VAC compiler.

* Wed Apr 17 2002 David Clissold <cliss@austin.ibm.com>
- Update to splint (formerly lclint), vesion 3.0.1.6

* Sat Feb 09 2002 David Clissold <cliss@austin.ibm.com>
- Strip the binary executable(s).

* Fri Aug 31 2001 Marc Stephenson <marc@austin.ibm.com>
- Add links for AIX Toolbox distribution.  Use -O2 instead of -O4.

* Thu Feb 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- <time.h> fix

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- fix build on ia64

* Mon Aug 21 2000 Jeff Johnson <jbj@redhat.com>
- set default configuration appropriately.

* Fri Jul 28 2000 Eric Veldhuyzen <eric@terra.nu>
- upgraded to 2.5q

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- fixed build section so that it links with flex properly

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- minor spec file cleanups, built for Powertools-7.0

* Fri May 26 2000 Eric Veldhuyzen <eric@terra.nu>
- upgraded to 2.5m
- reorganized specfile

* Sat Oct 31 1998 Justin Cormack <jpc1@doc.ic.ac.uk>

- found correct 2.4b source (was actually 2.3)
- no longer an emacs mode
- added documentation

* Wed Oct 14 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- fixed library directories not to point at buildroot

* Mon Oct 12 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- fixed executable

* Mon Jun 06 1998 Michael Maher <mike@redhat.com>
- fixed paths for executable link

* Mon May 17 1998 Michael Maher <mike@redhat.com>
- updated to newest version
- added buildroot
- added wmconfig

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- added Summary

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>
- %doc'ed some stuff

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- made /usr/lib/lclint/bin a directory, not the executable

* Fri Jan 23 1998 Otto Hammersmith <otto@redhat.com>
- built the package
